Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_raw_seek

declared in "vorbis/vorbisfile.h";

Seeks to the offset specified (in compressed raw bytes) within the physical bitstream. This function only works for seekable streams.

This also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position.

When seek speed is a priority, this is the best seek funtion to use.

    int ov_raw_seek(OggVorbis_File *vf,long pos);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions.
pos
  Position in compressed bytes to seek to in the bitstream.

### Return Values

> - 0 for success
> - nonzero indicates failure, described by several error codes:
>   - OV_ENOSEEK - Bitstream is not seekable.
>   - OV_EINVAL - Invalid argument value; possibly called with an OggVorbis_File structure that isn't open.
>   - OV_EREAD - A read from media returned an error.
>   - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.
>   - OV_EBADLINK - Invalid stream section supplied to libvorbisfile, or the requested link is corrupt.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101